<?php
//Proceso de conexión con la base de datos


include("conexion.php");

//Inicio de variables de sesión
if (!isset($_SESSION)) {
  session_start();
}
//Recibir los datos ingresados en el formulario
$usuario= $_POST['usuario'];
$contrasena= $_POST['contrasena'];
//$idioma= $_POST['idioma'];

//Consultar si los datos son están guardados en la base de datos
date_default_timezone_set("America/Bogota" ) ; 
$actual = date('Y-m-d h:i:s');

//consulta numeros de visitas
$consultano= "SELECT * FROM usuarios where usuario='$usuario' and contrasena='$contrasena'"; 
$resultano= mysql_query($consultano,$conex) or die (mysql_error());
$numeroano = mysql_num_rows($resultano);

for($i=0;$i<$numeroano;$i++){
$row=mysql_fetch_array($resultano);

 $num_visitas = $row["num_visitas"];

 }

  $numvisitas = $num_visitas+1;

 //$query="insert into usuario (fecha-int) values ('".$actual."'";
//$query=mysql_query("UPDATE usuario  set ultimo_ingreso='$actual', num_visitas='$numvisitas' where usuario='".$usuario."' and contrasena='".$contrasena."' ");
$query=mysql_query("UPDATE usuario  set ultimo_ingreso='$actual', num_visitas='$numvisitas', id_idioma_us='$idioma', online='1' where usuario='".$usuario."' and contrasena='".$contrasena."' ");
mysql_query($query ,$conex); 

//$consulta= "SELECT * FROM usuario WHERE (usuario) like  '".$usuario."' AND (contrasena) like '".$contrasena."'"; 
$consulta= "SELECT * FROM usuarios WHERE usuario='".$usuario."' AND contrasena='".$contrasena."'"; 
//$consulta = "select * from usuario where (usuario like '$usuario' and contrasena like '$contrasena');
$resultado= mysql_query($consulta  ,$conex) or die (mysql_error());
$fila=mysql_fetch_array($resultado);
if (!$fila[0]) //opcion1: Si el usuario NO existe o los datos son INCORRRECTOS
{
	echo '<script language = javascript>
	alert("Usuario o Password errados, por favor verifique.")
	self.location = "../index.html"
	</script>';
}   
else //opcion2: Usuario logueado correctamente
{
	//Definimos las variables de sesión y redirigimos a la página de usuario
	$_SESSION['id_usuario'] = $fila['id_usuario'];
	$_SESSION['nombre'] = $fila['nombre'];
  $_SESSION['codigo'] = $fila['codigo'];
  $_SESSION['usuario'] = $fila['usuario'];
  $_SESSION['cargo'] = $fila['cargo']; 
  
  header("Location: ../principal.php");
  
  
          }
   
  /*  
  $idus= $_SESSION['id_usuario'];
  
$consult= "SELECT * FROM temapregunta WHERE id_usuario='".$_SESSION['idusuario']."'"; 
$resultad= mysql_query($consult,$conex) or die (mysql_error());
$fila=mysql_fetch_array($resultad);
$contar = mysql_num_rows($resultad);

if($contar=='1'){

  //$sql=mysql_query("UPDATE respuesta_alum SET resp_alum='$resp_alum', tema='$tema' WHERE idusuario='$idusuario' and id_preg='$id_preg'",$conex);

 }else{

    if($contar=='0'){
    
    $tp=mysql_query("INSERT INTO temapregunta(id_usuario) VALUES ('{$idus}')" ,$conex);
    
    }

}
  
	
}
?>